package com.zanxiang.game.module.sdk.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.mybatis.entity.GamePicture;
import com.zanxiang.game.module.mybatis.mapper.GamePictureMapper;
import com.zanxiang.game.module.sdk.pojo.dto.GamePictureDTO;
import com.zanxiang.game.module.sdk.service.IGamePictureService;
import com.zanxiang.module.util.bean.BeanUtil;
import com.zanxiang.module.util.exception.BaseException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏图片
 */
@Slf4j
@Service
public class GamePictureServiceImpl extends ServiceImpl<GamePictureMapper, GamePicture> implements IGamePictureService {

    @Override
    public GamePictureDTO getByGameId(Long gameId) {
        GamePicture gamePicture = super.getOne(new LambdaQueryWrapper<GamePicture>()
                .eq(GamePicture::getGameId, gameId));
        if (gamePicture == null) {
            log.error("参数错误, 游戏图片信息不存在, gameId : {}", gameId);
            throw new BaseException("参数错误, 游戏图片信息不存在");
        }
        return BeanUtil.copy(gamePicture, GamePictureDTO.class);
    }
}
